/*
 * Requires: /common/product-grid-item.css, /common/forms.css
 */

.main-page-wrapper .product-tabs-wrapper {
    padding-top: 0;
    padding-bottom: 0;
    /*margin-bottom: 0;*/
    border-top: none;
}

.single-product .product_title {
    font-family: var(--pro-title-font), sans-serif;
    color: var(--wd-alternative-color);
    font-weight: 300;
    font-size: 30px;
}

.summary-inner > .price .amount {
    font-weight: 300;
    font-size: 24px;
}

.summary-inner .woocommerce-product-details__short-description {
    font-size: var(--pro-text-size);
}

.summary-inner .woocommerce-product-attributes-item__label {
    text-transform: uppercase;
}

/* Cancel this website-wide margin, because there should be no gap between the last section of the page and the footer */
body .site-content {
    margin-bottom: 0;
}

/*
 * Variations form (options + add to cart) are not hidden by WooCommerce/theme when a product is not purchasable.
 * However, due to custom code, the following class is added to the body element when a product is not purchasable.
 * So, hide the variations form when a product is not purchasable.
 */
.purchase-restricted .variations_form {
    display: none;
}

.extra-options .section-title {
    padding: 0;
}

.extra-options h5 {
    margin-bottom: 10px;
}

.extra-options .thwepo_checkbox td {
    padding: 0;
}

/* ------------------------------------------------------------------------
 * Brand Banner
 * --------------------------------------------------------------------- */

/*.pro-brand-banner .wpb_single_image {*/
/*    margin-bottom: 0;*/
/*    text-align: center;*/
/*}*/

/*.pro-brand-banner .wpb_single_image div,*/
/*.pro-brand-banner .wpb_single_image figure {*/
/*    width: 100%;*/
/*}*/

/*.pro-brand-banner .wpb_single_image img {*/
/*    object-fit: cover;*/
/*}*/

/* ------------------------------------------------------------------------
 * Related Products
 * --------------------------------------------------------------------- */

.related-and-upsells .title {
    font-family: var(--pro-title-font), sans-serif;
    text-align: center;
    display: block !important;
    font-size: 30px;
    font-weight: 400;
}

/* ------------------------------------------------------------------------
 * Inquiry Modal
 * --------------------------------------------------------------------- */

.pro-inquiry-modal-overlay {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    pointer-events: none;
    background: var(--pro-overlay-background-color);
}

.pro-inquiry-modal {
    top: 50%;
    left: 50%;
    overflow: hidden;
    min-width: 300px;
    border-radius: 15px;
    background: #ffffff;
    transform: translate(-50%, -50%);
}

.pro-inquiry-modal-overlay,
.pro-inquiry-modal {
    opacity: 0;
    z-index: -400;
    position: fixed;
    transition: opacity 0.2s linear;
}

.pro-inquiry-active .pro-inquiry-modal-overlay,
.pro-inquiry-active .pro-inquiry-modal {
    opacity: 1;
    z-index: 400;
}

.pro-inquiry-modal-header {
    padding: 15px;
    display: flex;
    position: relative;
    align-items: center;
    justify-content: space-between;
}

.pro-inquiry-modal-header::after {
    content: "";
    display: block;
    width: 100%;
    height: 4px;
    position: absolute;
    left: 0;
    bottom: 0;
    background: var(--pro-diamond-pattern-background);
}

.pro-inquiry-modal-title {
    font-size: 18px;
    margin-bottom: 0;
}

.pro-inquiry-modal-body {
    padding: 15px;
    max-height: 70vh;
    overflow-y: auto;
}

.pro-inquiry-modal-close {
    line-height: 1px;
}

.pro-inquiry-modal-close svg {
    width: 16px;
    transition: fill 0.2s linear;
}

.pro-inquiry-modal-close:hover svg {
    fill: var(--wd-alternative-color);
}

@media (min-width: 768px) {
    .pro-inquiry-modal-header {
        padding: 15px 30px;
    }

    .pro-inquiry-modal-body {
        padding: 30px;
    }
}
